Quassel IRC - Bug #493

Core cannot use SSL cert
01/21/2009 05:35 PM - pennywise
Target version:

Version: 0.3.1+ 0S: Any
Description

First, | created a SSL cert:

pennywise@kubuntu:~/Repository-Checkouts/quassel$ openssl req -x509 -nodes -days 365 —newkey rsa:l
024 -keyout ~/.config/quassel-irc.org/quasselCert.priv -out ~/.config/quassel-irc.org/quasselCert.
pem

Generating a 1024 bit RSA private key

S

........................... ++++++

writing new private key to '/home/pennywise/.config/quassel-irc.org/quasselCert.priv'

You are about to be asked to enter information that will be incorporated

into your certificate request.

What you are about to enter is what is called a Distinguished Name or a DN.

There are quite a few fields but you can leave some blank

For some fields there will be a default value,

If you enter '.', the field will be left blank.

Country Name (2 letter code) [AU]:DE

State or Province Name (full name) [Some-State] :BW

Locality Name (eg, city) []:KARLSRUHE

Organization Name (eg, company) [Internet Widgits Pty Ltd] :MYCOMPANY

Organizational Unit Name (eg, section) []:JS

Common Name (eg, YOUR name) []:MC

Email Address []:mc@fun.org

Then | started my core (git 8cc811b1baf648b85fc90a8d7ecf98259f9976ba )

pennywise@kubuntu-8:~/Repository—Checkouts/quassel$ ./quasselcore
2009-01-21 17:26:15 Warning: SslServer: /home/pennywise/.config/quassel-irc.org/quasselCert.pem co
ntains no key data
2009-01-21 17:26:15 Warning: SslServer: Unable to set certificate file

Quassel Core will still work, but cannot provide SSL for client connections.

Please see http://quassel-irc.org/fag/cert to learn how to enable SSL support.
2009-01-21 17:26:15 Warning: SslServer: /home/pennywise/.config/quassel-irc.org/quasselCert.pem co
ntains no key data

*** IMPORTANT: Config and data file locations have changed. Attempting to auto-migrate your core s
ettings...

Core 1is currently not configured! Please connect with a Quassel Client for basic setup.

2009-01-21 17:26:15 Info: Listening for GUI clients on IPv4 0.0.0.0 port 4242 using protocol versi
on 9

Contains no key data? This is either an issue with the openssl generation of the certificate, or the handling via quassel. Anyway, it
doesn't work :)

History

#1 - 01/21/2009 05:45 PM - pennywise

- Status changed from New to Closed

03/13/2024 12



https://bugs.quassel-irc.org/projects/quassel-irc/repository/revisions/8cc811b1baf648b85fc90a8d7ecf98259f9976ba

My bad :/ Generation of cert was invalid. close this plz
